Skip to main content
GET
/
api
/
v2
/
perp
/
fills
GET /api/v2/perp/fills — Trade fill history
curl --request GET \
  --url https://api.shuriken.trade/api/v2/perp/fills \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "closedPnl": "<string>",
      "coin": "<string>",
      "direction": "<string>",
      "fee": "<string>",
      "oid": 1,
      "px": "<string>",
      "side": "<string>",
      "startPosition": "<string>",
      "sz": "<string>",
      "time": 1,
      "cloid": "<string>"
    }
  ],
  "requestId": "<string>",
  "pagination": {
    "hasMore": true,
    "limit": 1,
    "page": 1,
    "total": 1
  }
}

Authorizations

Authorization
string
header
required

Use Authorization: Bearer <jwt> for user auth or Authorization: Bearer sk_{keyId}_{secret} for API key auth.

Query Parameters

wallet_id
string

Wallet ID (uses default HL wallet if omitted)

start_time
integer<int64>
required

Start time (unix millis)

Required range: x >= 0
end_time
integer<int64>

End time (unix millis)

Required range: x >= 0
coin
string

Filter by coin

Response

200 - application/json

Trade fills

V2 success response envelope

data
object[]
required
requestId
string
required
pagination
object

Page-based pagination info (per RFC)